### Function

# Gsk ParseErrorFunc

#### Declaration

    void
    ParseErrorFunc (
      const GskParseLocation* start,
      const GskParseLocation* end,
      const GError* error,
      gpointer user_data
    )

#### Description [src]

Type of callback that is called when an error occurs during node deserialization.

#### Parameters

`start` | `GskParseLocation`
| Start of the error location.
| The data is owned by the caller of the function.
`end` | `GskParseLocation`
| End of the error location.
| The data is owned by the caller of the function.
`error` | `const GError*`
| The error.
| The data is owned by the caller of the function.
`user_data` | `gpointer`
| User data.